PUT/infoshop

Update Shop Info

Allows user to edit the EventInfoShop.

This API allows users to modify the details of an existing EventShop linked to an eventInfoShopId.
PUT/infoshop

Parameter Details

NameInTypeRequiredDescription
eventInfoShopIdqueryintegerRequiredUnique identifier of the EventShop.
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /infoshop?eventInfoShopId=0 \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "estimatedAttendee": "",
  "city": "",
  "country": "",
  "startDate": "2025-05-06",
  "horizon": 0,
  "eventIds": [],
  "category": "0",
  "subCategory": "0"
}

Example responses

200 Response
{
  "message": "Shop details updated successfully.",
  "shopId": 765
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.